Index: /branches/comu-ver2/html/install/sql/insert_data.sql
===================================================================
--- /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 17425)
+++ /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 17435)
@@ -1053,4 +1053,5 @@
 INSERT INTO mtb_constants VALUES ('SMTP_PORT','"25"',288,'SMTPポート');
 INSERT INTO mtb_constants VALUES ('UPDATE_SEND_SITE_INFO','false',289,'アップデート時にサイト情報を送出するか');
+INSERT INTO mtb_constants VALUES ('USE_POINT','true',290,'ポイントを利用するか(true:利用する、false:利用しない) (false は一部対応)');
 INSERT INTO mtb_constants VALUES ('DEFAULT_TEMPLATE_NAME', '"default"', 300,'デフォルトテンプレート名');
 INSERT INTO mtb_constants VALUES ('TEMPLATE_NAME', 'DEFAULT_TEMPLATE_NAME', 301,'テンプレート名');
Index: /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 16741)
+++ /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 17435)
@@ -370,6 +370,11 @@
         $objErr->arrErr = $this->objFormParam->checkError();
 
+        if (USE_POINT === false) {
+            $_POST['point_check'] = "";
+            $_POST['use_point'] = "0";
+        }
+        
         if (!isset($_POST['point_check'])) $_POST['point_check'] = "";
-
+        
         if($_POST['point_check'] == '1') {
             $objErr->doFunc(array("ポイントを使用する", "point_check"), array("EXIST_CHECK"));
Index: /branches/comu-ver2/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/comu-ver2/data/class/helper/SC_Helper_DB.php	(revision 17286)
+++ /branches/comu-ver2/data/class/helper/SC_Helper_DB.php	(revision 17435)
@@ -1482,11 +1482,15 @@
         $arrData['payment_total'] = $arrData['total'] - ($arrData['use_point'] * POINT_VALUE);
         // 加算ポイントの計算
-        $arrData['add_point'] = SC_Utils::sfGetAddPoint($objPage->tpl_total_point, $arrData['use_point'], $arrInfo);
-
-        if($objCustomer != "") {
-            // 誕生日月であった場合
-            if($objCustomer->isBirthMonth()) {
-                $arrData['birth_point'] = BIRTH_MONTH_POINT;
-                $arrData['add_point'] += $arrData['birth_point'];
+        if (USE_POINT === false) {
+            $arrData['add_point'] = 0;
+        } else {
+            $arrData['add_point'] = SC_Utils::sfGetAddPoint($objPage->tpl_total_point, $arrData['use_point'], $arrInfo);
+            
+            if($objCustomer != "") {
+                // 誕生日月であった場合
+                if($objCustomer->isBirthMonth()) {
+                    $arrData['birth_point'] = BIRTH_MONTH_POINT;
+                    $arrData['add_point'] += $arrData['birth_point'];
+                }
             }
         }
Index: /branches/comu-ver2/data/mtb_constants_init.php
===================================================================
--- /branches/comu-ver2/data/mtb_constants_init.php	(revision 17425)
+++ /branches/comu-ver2/data/mtb_constants_init.php	(revision 17435)
@@ -551,4 +551,6 @@
 /** アップデート時にサイト情報を送出するか */
 define('UPDATE_SEND_SITE_INFO', false);
+/** ポイントを利用するか(true:利用する、false:利用しない) (false は一部対応) */
+define('USE_POINT', ture);
 /** デフォルトテンプレート名 */
 define('DEFAULT_TEMPLATE_NAME', "default");
Index: /branches/comu-ver2/data/Smarty/templates/default/list.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/list.tpl	(revision 17434)
+++ /branches/comu-ver2/data/Smarty/templates/default/list.tpl	(revision 17435)
@@ -106,5 +106,5 @@
                     <!--商品ステータス-->
                     <!--{if count($arrProducts[cnt].product_flag) > 0}-->
-                        <ul>
+                        <ul class="status_icon">
                             <!--{section name=flg loop=$arrProducts[cnt].product_flag|count_characters}-->
                                 <!--{if $arrProducts[cnt].product_flag[flg] == "1"}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/bloc/login.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/bloc/login.tpl	(revision 16583)
+++ /branches/comu-ver2/data/Smarty/templates/default/bloc/login.tpl	(revision 17435)
@@ -32,6 +32,8 @@
         <!--{if $tpl_login}-->
         <p>ようこそ<br />
-          <!--{$tpl_name1|escape}--> <!--{$tpl_name2|escape}--> 様<br />
-          所持ポイント：<span class="price"> <!--{$tpl_user_point|number_format|default:0}--> pt</span>
+          <!--{$tpl_name1|escape}--> <!--{$tpl_name2|escape}--> 様
+          <!--{if $smarty.const.USE_POINT !== false}-->
+            <br />所持ポイント：<span class="price"> <!--{$tpl_user_point|number_format|default:0}--> pt</span>
+          <!--{/if}-->
         </p>
           <!--{if !$tpl_disable_logout}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/mypage/navi.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mypage/navi.tpl	(revision 17162)
+++ /branches/comu-ver2/data/Smarty/templates/default/mypage/navi.tpl	(revision 17435)
@@ -54,6 +54,9 @@
   <!--{if $point_disp !== false}-->
      <li>ようこそ <br />
-       <!--{$CustomerName1|escape}--> <!--{$CustomerName2|escape}-->様<br />
-       現在の所持ポイントは<em><!--{$CustomerPoint|number_format|escape|default:"0"}-->pt</em>です。</li>
+       <!--{$CustomerName1|escape}--> <!--{$CustomerName2|escape}-->様
+       <!--{if $smarty.const.USE_POINT !== false}-->
+         <br />現在の所持ポイントは<em><!--{$CustomerPoint|number_format|escape|default:"0"}-->pt</em>です。
+       <!--{/if}-->
+     </li>
 <!--{/if}-->
 <!-- 現在のポイント ここまで -->
Index: /branches/comu-ver2/data/Smarty/templates/default/mypage/history.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mypage/history.tpl	(revision 16582)
+++ /branches/comu-ver2/data/Smarty/templates/default/mypage/history.tpl	(revision 17435)
@@ -93,14 +93,16 @@
 
     <!-- 使用ポイントここから -->
-    <table summary="使用ポイント">
-      <tr>
-        <th>ご使用ポイント</th>
-        <td class="pricetd"><!--{assign var=key value="use_point"}--><!--{$arrDisp[$key]|number_format|default:0}--> pt</td>
-      </tr>
-      <tr>
-        <th>今回加算されるポイント</th>
-        <td class="pricetd"><!--{$arrDisp.add_point|number_format|default:0}--> pt</td>
-      </tr>
-    </table>
+    <!--{if $smarty.const.USE_POINT !== false}-->
+      <table summary="使用ポイント">
+        <tr>
+          <th>ご使用ポイント</th>
+          <td class="pricetd"><!--{assign var=key value="use_point"}--><!--{$arrDisp[$key]|number_format|default:0}--> pt</td>
+        </tr>
+        <tr>
+          <th>今回加算されるポイント</th>
+          <td class="pricetd"><!--{$arrDisp.add_point|number_format|default:0}--> pt</td>
+        </tr>
+      </table>
+    <!--{/if}-->
     <!-- 使用ポイントここまで -->
 
Index: /branches/comu-ver2/data/Smarty/templates/default/shopping/confirm.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/shopping/confirm.tpl	(revision 17193)
+++ /branches/comu-ver2/data/Smarty/templates/default/shopping/confirm.tpl	(revision 17435)
@@ -87,10 +87,12 @@
           <td class="pricetd"><!--{$tpl_total_pretax|number_format}-->円</td>
         </tr>
-        <tr>
-          <th colspan="4" class="resulttd">値引き（ポイントご使用時）</th>
-          <td class="pricetd">
-          <!--{assign var=discount value=`$arrData.use_point*$smarty.const.POINT_VALUE`}-->
-           -<!--{$discount|number_format|default:0}-->円</td>
-        </tr>
+        <!--{if $smarty.const.USE_POINT !== false}-->
+          <tr>
+            <th colspan="4" class="resulttd">値引き（ポイントご使用時）</th>
+            <td class="pricetd">
+            <!--{assign var=discount value=`$arrData.use_point*$smarty.const.POINT_VALUE`}-->
+             -<!--{$discount|number_format|default:0}-->円</td>
+          </tr>
+        <!--{/if}-->
         <tr>
           <th colspan="4" class="resulttd">送料</th>
@@ -108,5 +110,5 @@
 
     <!--{* ログイン済みの会員のみ *}-->
-    <!--{if $tpl_login == 1 || $arrData.member_check == 1}-->
+    <!--{if ($tpl_login == 1 || $arrData.member_check == 1) && $smarty.const.USE_POINT !== false}-->
       <table summary="ポイント確認" class="delivname">
         <tr>
@@ -216,5 +218,5 @@
           <td><!--{$arrData.message|escape|nl2br}--></td>
         </tr>
-        <!--{if $tpl_login == 1}-->
+        <!--{if $tpl_login == 1 && $smarty.const.USE_POINT !== false}-->
         <tr>
           <th>ポイント使用</th>
Index: /branches/comu-ver2/data/Smarty/templates/default/shopping/payment.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/shopping/payment.tpl	(revision 16583)
+++ /branches/comu-ver2/data/Smarty/templates/default/shopping/payment.tpl	(revision 17435)
@@ -101,22 +101,22 @@
 
       <!-- ▼ポイント使用 ここから -->
-      <!--{if $tpl_login == 1}-->
-    <div class="pointarea">
-      <h3><img src="<!--{$TPL_DIR}-->img/shopping/subtitle_point.jpg" width="670" height="32" alt="ポイント使用の指定" /></h3>
+      <!--{if $tpl_login == 1 && $smarty.const.USE_POINT !== false}-->
+        <div class="pointarea">
+          <h3><img src="<!--{$TPL_DIR}-->img/shopping/subtitle_point.jpg" width="670" height="32" alt="ポイント使用の指定" /></h3>
 
-        <p><span class="attention">1ポイントを1円</span>として使用する事ができます。<br />
-          使用する場合は、「ポイントを使用する」にチェックを入れた後、使用するポイントをご記入ください。</p>
-      <div>
-        <p><!--{$objCustomer->getValue('name01')|escape}--> <!--{$objCustomer->getValue('name02')|escape}-->様の、現在の所持ポイントは「<em><!--{$tpl_user_point|default:0}-->Pt</em>」です。</p>
-        <p>今回ご購入合計金額：<span class="price"><!--{$arrData.subtotal|number_format}-->円</span><span class="attention">（送料、手数料を含みません。）</span></p>
-        <ul>
-          <li><input type="radio" id="point_on" name="point_check" value="1" <!--{$arrForm.point_check.value|sfGetChecked:1}--> onclick="fnCheckInputPoint();" /><label for="point_on">ポイントを使用する</label></li>
-           <!--{assign var=key value="use_point"}-->
+            <p><span class="attention">1ポイントを1円</span>として使用する事ができます。<br />
+              使用する場合は、「ポイントを使用する」にチェックを入れた後、使用するポイントをご記入ください。</p>
+          <div>
+            <p><!--{$objCustomer->getValue('name01')|escape}--> <!--{$objCustomer->getValue('name02')|escape}-->様の、現在の所持ポイントは「<em><!--{$tpl_user_point|default:0}-->Pt</em>」です。</p>
+            <p>今回ご購入合計金額：<span class="price"><!--{$arrData.subtotal|number_format}-->円</span><span class="attention">（送料、手数料を含みません。）</span></p>
+            <ul>
+              <li><input type="radio" id="point_on" name="point_check" value="1" <!--{$arrForm.point_check.value|sfGetChecked:1}--> onclick="fnCheckInputPoint();" /><label for="point_on">ポイントを使用する</label></li>
+               <!--{assign var=key value="use_point"}-->
 
-           <li class="underline">今回のお買い物で、<input type="text" name="<!--{$key}-->" value="<!--{$arrForm[$key].value|default:$tpl_user_point}-->" maxlength="<!--{$arrForm[$key].length}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" size="6" class="box60" />&nbsp;ポイントを使用する。<span class="attention"><!--{$arrErr[$key]}--></span></li>
-           <li><input type="radio" id="point_off" name="point_check" value="2" <!--{$arrForm.point_check.value|sfGetChecked:2}--> onclick="fnCheckInputPoint();" /><label for="point_off">ポイントを使用しない</label></li>
-         </ul>
-      </div>
-    </div>
+               <li class="underline">今回のお買い物で、<input type="text" name="<!--{$key}-->" value="<!--{$arrForm[$key].value|default:$tpl_user_point}-->" maxlength="<!--{$arrForm[$key].length}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" size="6" class="box60" />&nbsp;ポイントを使用する。<span class="attention"><!--{$arrErr[$key]}--></span></li>
+               <li><input type="radio" id="point_off" name="point_check" value="2" <!--{$arrForm.point_check.value|sfGetChecked:2}--> onclick="fnCheckInputPoint();" /><label for="point_off">ポイントを使用しない</label></li>
+             </ul>
+          </div>
+        </div>
       <!--{/if}-->
       <!-- ▲ポイント使用 ここまで -->
Index: /branches/comu-ver2/data/Smarty/templates/default/cart/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/cart/index.tpl	(revision 16583)
+++ /branches/comu-ver2/data/Smarty/templates/default/cart/index.tpl	(revision 17435)
@@ -27,11 +27,14 @@
     </h2>
     <p class="totalmoneyarea">
-      <!--{if $tpl_login}-->
-      <!--メインコメント-->
-        <!--{$tpl_name|escape}--> 様の、現在の所持ポイントは「<em><!--{$tpl_user_point|number_format|default:0}--> pt</em>」です。<br />
-      <!--{else}-->
-        <!--メインコメント-->ポイント制度をご利用になられる場合は、会員登録後ログインしていだだきますようお願い致します。<br />
+      <!--★ポイント案内★-->
+      <!--{if $smarty.const.USE_POINT !== false}-->
+        <!--{if $tpl_login}-->
+          <!--{$tpl_name|escape}--> 様の、現在の所持ポイントは「<em><!--{$tpl_user_point|number_format|default:0}--> pt</em>」です。<br />
+        <!--{else}-->
+          ポイント制度をご利用になられる場合は、会員登録後ログインしていだだきますようお願い致します。<br />
+        <!--{/if}-->
+        ポイントは商品購入時に1pt＝<!--{$smarty.const.POINT_VALUE}-->円として使用することができます。<br />
       <!--{/if}-->
-      ポイントは商品購入時に1pt＝<!--{$smarty.const.POINT_VALUE}-->円として使用することができます。<br />
+      
       <!--{* カゴの中に商品がある場合にのみ表示 *}-->
       <!--{if count($arrProductsClass) > 0 }-->
@@ -105,14 +108,16 @@
       <td class="pricetd"><em><!--{$arrData.total-$arrData.deliv_fee|number_format}-->円</em></td>
     </tr>
-    <!--{if $arrData.birth_point > 0}-->
-    <tr>
-      <th colspan="5" class="resulttd">お誕生月ポイント</th>
-      <td class="pricetd"><!--{$arrData.birth_point|number_format}-->pt</td>
-    </tr>
+    <!--{if $smarty.const.USE_POINT !== false}-->
+      <!--{if $arrData.birth_point > 0}-->
+      <tr>
+        <th colspan="5" class="resulttd">お誕生月ポイント</th>
+        <td class="pricetd"><!--{$arrData.birth_point|number_format}-->pt</td>
+      </tr>
+      <!--{/if}-->
+      <tr>
+        <th colspan="5" class="resulttd">今回加算ポイント</th>
+        <td class="pricetd"><!--{$arrData.add_point|number_format}-->pt</td>
+      </tr>
     <!--{/if}-->
-    <tr>
-      <th colspan="5" class="resulttd">今回加算ポイント</th>
-      <td class="pricetd"><!--{$arrData.add_point|number_format}-->pt</td>
-    </tr>
   </table>
   <p class="mini">※商品写真は参考用写真です。ご注文のカラーと異なる写真が表示されている場合でも、商品番号に記載されているカラー表示で間違いございませんのでご安心ください。</p>
Index: /branches/comu-ver2/data/Smarty/templates/default/mail_templates/order_mail.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mail_templates/order_mail.tpl	(revision 16612)
+++ /branches/comu-ver2/data/Smarty/templates/default/mail_templates/order_mail.tpl	(revision 17435)
@@ -70,5 +70,5 @@
 ===============================================================
 合　計 ￥ <!--{$arrOrder.payment_total|number_format|default:0}-->
-<!--{if $arrOrder.customer_id}-->
+<!--{if $arrOrder.customer_id && $smarty.const.USE_POINT !== false}-->
 ===============================================================
 <!--{* ご注文前のポイント {$tpl_user_point} pt *}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/detail.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/detail.tpl	(revision 17434)
+++ /branches/comu-ver2/data/Smarty/templates/default/detail.tpl	(revision 17435)
@@ -77,5 +77,5 @@
             <!--アイコン-->
             <!--{if count($arrProduct.product_flag) > 0}-->
-            <ul>
+            <ul class="status_icon">
                 <!--{section name=flg loop=$arrProduct.product_flag|count_characters}-->
                 <!--{if $arrProduct.product_flag[flg] == "1"}-->
@@ -125,14 +125,16 @@
 
             <!--★ポイント★-->
-            <div><span class="price">ポイント：
-                <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-                    <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
-                <!--{else}-->
-                    <!--{if $arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id == $arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
+            <!--{if $smarty.const.USE_POINT !== false}-->
+                <div><span class="price">ポイント：
+                    <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
                         <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
                     <!--{else}-->
-                        <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->〜<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
-                    <!--{/if}-->
-                <!--{/if}-->Pt</span></div>
+                        <!--{if $arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id == $arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
+                            <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
+                        <!--{else}-->
+                            <!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}--><!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
+                        <!--{/if}-->
+                    <!--{/if}-->Pt</span></div>
+            <!--{/if}-->
 
             <!--★関連カテゴリ★-->
@@ -274,5 +276,5 @@
 
         <!--{if count($arrReview) < $smarty.const.REVIEW_REGIST_MAX}-->
-        <!--★新規コメントを書き込む★-->
+            <!--★新規コメントを書き込む★-->
             <a href="./review.php"
                  onclick="win02('./review.php?product_id=<!--{$arrProduct.product_id}-->','review','580','580'); return false;"
@@ -299,20 +301,20 @@
 
     <!--{if $arrTrackbackView == "ON"}-->
-    <!--▼トラックバック-->
-    <div id="trackbackarea">
-        <h2><img src="<!--{$TPL_DIR}-->img/products/title_tb.jpg" width="580" height="30" alt="この商品に対するトラックバック" /></h2>
-        <h3>この商品のトラックバック先URL</h3>
-        <input type="text" name="trackback" value="<!--{$trackback_url}-->" size="100" class="box500" />
-
-        <!--{if $arrTrackback}-->
-            <ul>
-            <!--{section name=cnt loop=$arrTrackback}-->
-                <li><strong><!--{$arrTrackback[cnt].create_date|sfDispDBDate:false}-->　<a href="<!--{$arrTrackback[cnt].url}-->" target="_blank"><!--{$arrTrackback[cnt].title|escape}--></a> from <!--{$arrTrackback[cnt].blog_name|escape}--></strong>
-                    <p><!--{$arrTrackback[cnt].excerpt|escape|mb_strimwidth:0:200:"..."}--></p></li>
-            <!--{/section}-->
-            </ul>
-        <!--{/if}-->
-    <!--▲トラックバック-->
-    </div>
+        <!--▼トラックバック-->
+        <div id="trackbackarea">
+            <h2><img src="<!--{$TPL_DIR}-->img/products/title_tb.jpg" width="580" height="30" alt="この商品に対するトラックバック" /></h2>
+            <h3>この商品のトラックバック先URL</h3>
+            <input type="text" name="trackback" value="<!--{$trackback_url}-->" size="100" class="box500" />
+
+            <!--{if $arrTrackback}-->
+                <ul>
+                <!--{section name=cnt loop=$arrTrackback}-->
+                    <li><strong><!--{$arrTrackback[cnt].create_date|sfDispDBDate:false}-->　<a href="<!--{$arrTrackback[cnt].url}-->" target="_blank"><!--{$arrTrackback[cnt].title|escape}--></a> from <!--{$arrTrackback[cnt].blog_name|escape}--></strong>
+                        <p><!--{$arrTrackback[cnt].excerpt|escape|mb_strimwidth:0:200:"..."}--></p></li>
+                <!--{/section}-->
+                </ul>
+            <!--{/if}-->
+        </div>
+        <!--▲トラックバック-->
     <!--{/if}-->
 
@@ -329,12 +331,12 @@
                 <!-- 左列 -->
                 <div class="whoboughtleft">
-                <!--{if $arrRecommend[cnt].main_list_image != ""}-->
-                    <!--{assign var=image_path value="`$arrRecommend[cnt].main_list_image`"}-->
-                <!--{else}-->
-                    <!--{assign var=image_path value="`$smarty.const.NO_IMAGE_DIR`"}-->
-                <!--{/if}-->
-
+                    <!--{if $arrRecommend[cnt].main_list_image != ""}-->
+                        <!--{assign var=image_path value="`$arrRecommend[cnt].main_list_image`"}-->
+                    <!--{else}-->
+                        <!--{assign var=image_path value="`$smarty.const.NO_IMAGE_DIR`"}-->
+                    <!--{/if}-->
+                    
                     <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id}-->">
-                     <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$image_path|sfRmDupSlash}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[cnt].name|escape}-->" />
+                        <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$image_path|sfRmDupSlash}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[cnt].name|escape}-->" />
                     </a>
 
@@ -344,9 +346,9 @@
 
                     <p><!--{$smarty.const.SALE_PRICE_TITLE}--><span class="mini">(税込)</span>：<span class="price">
-                    <!--{if $price02_min == $price02_max}-->
-                        <!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
-                    <!--{else}-->
-                        <!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}--><!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
-                    <!--{/if}-->円</span></p>
+                        <!--{if $price02_min == $price02_max}-->
+                            <!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
+                        <!--{else}-->
+                            <!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}--><!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
+                        <!--{/if}-->円</span></p>
                     <p class="mini"><!--{$arrRecommend[cnt].comment|escape|nl2br}--></p>
                 </div>
@@ -360,5 +362,4 @@
                 <!-- 右列 -->
                 <div class="whoboughtright">
-                    <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id}-->">
                     <!--{if $arrRecommend[cnt].main_list_image != ""}-->
                         <!--{assign var=image_path value="`$arrRecommend[cnt].main_list_image`"}-->
@@ -366,6 +367,9 @@
                         <!--{assign var=image_path value="`$smarty.const.NO_IMAGE_DIR`"}-->
                     <!--{/if}-->
+                    
+                    <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id}-->">
                         <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$image_path|sfRmDupSlash}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[cnt].name|escape}-->" />
                     </a>
+                    
                     <!--{assign var=price02_min value=`$arrRecommend[cnt].price02_min`}-->
                     <!--{assign var=price02_max value=`$arrRecommend[cnt].price02_max`}-->
@@ -374,9 +378,9 @@
                     <p><!--{$smarty.const.SALE_PRICE_TITLE}--><span class="mini">(税込)</span>：<span class="price">
 
-                    <!--{if $price02_min == $price02_max}-->
-                        <!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
-                    <!--{else}-->
-                        <!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}--><!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
-                    <!--{/if}-->円</span></p>
+                        <!--{if $price02_min == $price02_max}-->
+                            <!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
+                        <!--{else}-->
+                            <!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}--><!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
+                        <!--{/if}-->円</span></p>
                     <p class="mini"><!--{$arrRecommend[cnt].comment|escape|nl2br}--></p>
                 </div>