Index: /branches/version-2/html/test/upgrade/index.php
===================================================================
--- /branches/version-2/html/test/upgrade/index.php	(revision 17320)
+++ /branches/version-2/html/test/upgrade/index.php	(revision 17438)
@@ -44,5 +44,5 @@
     array(
         'name' => 'サンプルモジュール',
-        'code' => 'mdl_sample',
+        'code' => 'mdl_epsilon',
         'main_list_comment' => 'モジュール開発テスト用です。',
         'main_list_image' => 'no_image.jpg',
Index: /branches/version-2/html/admin/require.php
===================================================================
--- /branches/version-2/html/admin/require.php	(revision 17118)
+++ /branches/version-2/html/admin/require.php	(revision 17438)
@@ -21,61 +21,4 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
-$include_dir = realpath(dirname( __FILE__));
-require_once($include_dir . "/../define.php");
-if (!defined("CLASS_PATH")) {
-    /** クラスパス */
-    define("CLASS_PATH", $include_dir . "/.." . HTML2DATA_DIR . "class/");
-}
-
-if (!defined("CLASS_EX_PATH")) {
-    /** クラスパス */
-    define("CLASS_EX_PATH", $include_dir . "/.." . HTML2DATA_DIR . "class_extends/");
-}
-
-if (!defined("CACHE_PATH")) {
-    /** キャッシュ生成ディレクトリ */
-    define("CACHE_PATH", $include_dir . "/.." . HTML2DATA_DIR . "cache/");
-}
-require_once(CLASS_EX_PATH . "SC_Initial_Ex.php");
-// アプリケーション初期化処理
-$objInit = new SC_Initial_Ex();
-$objInit->init();
-
-require_once($include_dir . "/.." . HTML2DATA_DIR . "include/module.inc");
-require_once(CLASS_EX_PATH . "util_extends/GC_Utils_Ex.php");
-require_once(CLASS_EX_PATH . "util_extends/SC_Utils_Ex.php");
-require_once(CLASS_EX_PATH . "db_extends/SC_DB_MasterData_Ex.php");
-require_once(CLASS_EX_PATH . "db_extends/SC_DB_DBFactory_Ex.php");
-require_once(CLASS_PATH . "SC_View.php");
-require_once(CLASS_PATH . "SC_DbConn.php");
-require_once(CLASS_PATH . "SC_Session.php");
-require_once(CLASS_PATH . "SC_Query.php");
-require_once(CLASS_PATH . "SC_SelectSql.php");
-require_once(CLASS_PATH . "SC_CheckError.php");
-require_once(CLASS_PATH . "SC_PageNavi.php");
-require_once(CLASS_PATH . "SC_Date.php");
-require_once(CLASS_PATH . "SC_Image.php");
-require_once(CLASS_PATH . "SC_UploadFile.php");
-require_once(CLASS_PATH . "SC_SiteInfo.php");
-require_once(CLASS_PATH . "SC_SendMail.php");
-require_once(CLASS_PATH . "SC_FormParam.php");
-require_once(CLASS_PATH . "SC_CustomerList.php");
-require_once(CLASS_PATH . "SC_Customer.php");
-require_once(CLASS_PATH . "SC_Pdf.php");
-require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_PageLayout_Ex.php");
-require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_DB_Ex.php");
-require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Session_Ex.php");
-
-require_once($include_dir . "/.." . HTML2DATA_DIR . "module/Mail.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "module/Mail/mime.php");
-
-// インストールチェック
-SC_Utils_Ex::sfInitInstall();
-
-// セッションハンドラ開始
-$objSession = new SC_Helper_Session_Ex();
-// セッション初期化・開始
-require_once CLASS_PATH . 'session/SC_SessionFactory.php';
-$sessionFactory = SC_SessionFactory::getInstance();
-$sessionFactory->initSession();
+require_once(realpath(dirname( __FILE__)) . "/../require.php");
 ?>
Index: /branches/version-2/html/require.php
===================================================================
--- /branches/version-2/html/require.php	(revision 17118)
+++ /branches/version-2/html/require.php	(revision 17438)
@@ -22,19 +22,20 @@
  */
 
-$include_dir = realpath(dirname( __FILE__));
-require_once($include_dir . "/define.php");
+$require_php_dir = realpath(dirname( __FILE__));
+require_once($require_php_dir . "/define.php");
+
 if (!defined("CLASS_PATH")) {
     /** クラスパス */
-    define("CLASS_PATH", $include_dir . HTML2DATA_DIR . "class/");
+    define("CLASS_PATH", $require_php_dir . HTML2DATA_DIR . "class/");
 }
 
 if (!defined("CLASS_EX_PATH")) {
     /** クラスパス */
-    define("CLASS_EX_PATH", $include_dir . HTML2DATA_DIR . "class_extends/");
+    define("CLASS_EX_PATH", $require_php_dir . HTML2DATA_DIR . "class_extends/");
 }
 
 if (!defined("CACHE_PATH")) {
     /** キャッシュ生成ディレクトリ */
-    define("CACHE_PATH", $include_dir . HTML2DATA_DIR . "cache/");
+    define("CACHE_PATH", $require_php_dir . HTML2DATA_DIR . "cache/");
 }
 require_once(CLASS_EX_PATH . "SC_Initial_Ex.php");
@@ -44,5 +45,5 @@
 
 
-require_once($include_dir . HTML2DATA_DIR . "include/module.inc");
+require_once($require_php_dir . HTML2DATA_DIR . "include/module.inc");
 require_once(CLASS_EX_PATH . "util_extends/GC_Utils_Ex.php");
 require_once(CLASS_EX_PATH . "util_extends/SC_Utils_Ex.php");
@@ -76,5 +77,5 @@
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Mail_Ex.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Mobile_Ex.php");
-include_once($include_dir . "/require_plugin.php");
+include_once($require_php_dir . "/require_plugin.php");
 
 // セッションハンドラ開始
Index: /branches/version-2/data/install.php
===================================================================
--- /branches/version-2/data/install.php	(revision 16307)
+++ /branches/version-2/data/install.php	(revision 17438)
@@ -1,2 +1,19 @@
 <?php
+    define ('ECCUBE_INSTALL', 'ON');
+    define ('HTML_PATH', 'C:/mydir/pdt/workspace/version-2/html/');
+    define ('SITE_URL', 'http://version2.local/');
+    define ('SSL_URL', 'http://version2.local/');
+    define ('URL_DIR', '/');
+    define ('DOMAIN_NAME', '');
+    define ('DB_TYPE', 'pgsql');
+    define ('DB_USER', 'naka_db_user');
+    define ('DB_PASSWORD', 'password');
+    define ('DB_SERVER', 'svn.ec-cube.net');
+    define ('DB_NAME', 'naka2_db');
+    define ('DB_PORT', '');
+    define ('DATA_PATH', 'C:/mydir/pdt/workspace/version-2/data/');
+    define ('MOBILE_HTML_PATH', HTML_PATH . 'mobile/');
+    define ('MOBILE_SITE_URL', SITE_URL . 'mobile/');
+    define ('MOBILE_SSL_URL', SSL_URL . 'mobile/');
+    define ('MOBILE_URL_DIR', URL_DIR . 'mobile/');
 ?>
Index: /branches/version-2/data/mtb_constants_init.php
===================================================================
--- /branches/version-2/data/mtb_constants_init.php	(revision 17437)
+++ /branches/version-2/data/mtb_constants_init.php	(revision 17438)
@@ -665,3 +665,23 @@
 /** オーナーズストア通信エラーコード */
 define('OSTORE_E_C_BATCH_ERR', '2010');
+
+/** コスメコム商品ID制限文字数 */
+define('CC_ITEM_LEN', 16);
+/** 仕入価格名称 */
+define('BUYING_UNIT_TITLE', "下代");
+/** クレジットカード番号(4桁×4桁) */
+define('CREDIT_SUM_LEN', 16);
+/** コスメコム商品IDの必須長さ */
+define('CC_ITEM_ID_LEN', 16);
+/** クレジットカード名義の長さ */
+define('CREDIT_NAME_LEN', 40);
+/** 在庫表示あり */
+define('STOCK_TYPE_DISPLAY', 3);
+/** 商品ステータス(欠品中) */
+define('PRODUCT_STATUS_STOCKOUT_INSIDE', 2);
+/** 商品ステータス(廃番) */
+define('PRODUCT_STATUS_ABOLITION_TURN', 3);
+/** 廃番商品購入エラー */
+define('PRODUCT_NOT_FOUNT_ABOLITION_TURN', 22);
+
 ?>