Index: /branches/comu-ver2/data/Smarty/templates/default/footer.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/footer.tpl	(revision 17436)
+++ /branches/comu-ver2/data/Smarty/templates/default/footer.tpl	(revision 17575)
@@ -2,5 +2,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -22,4 +22,4 @@
 <!--▼FOTTER-->
 <div id="pagetop" style="clear: both;"><a href="#top"><img src="<!--{$TPL_DIR}-->img/common/pagetop.gif" width="100" height="10" alt="このページのTOPへ" /></a></div>
-<div id="fotter">Copyright(C)2000-2007 EC-CUBE All rights reserved.</div>
+<div id="fotter">Copyright(C)2000-2008 EC-CUBE All rights reserved.</div>
 <!--▲FOTTER-->
Index: /branches/comu-ver2/data/Smarty/templates/default/frontparts/form_personal_input.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/frontparts/form_personal_input.tpl	(revision 17546)
+++ /branches/comu-ver2/data/Smarty/templates/default/frontparts/form_personal_input.tpl	(revision 17575)
@@ -30,6 +30,6 @@
     <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
     <!--{/if}-->
-    姓&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: active;" size="15" class="box120" />&nbsp;
-    名&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" size="15" class="box120" />
+    姓&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|escape}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: active;" size="15" class="box120" />&nbsp;
+    名&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|escape}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" size="15" class="box120" />
   </td>
 </tr>
@@ -42,6 +42,6 @@
     <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
     <!--{/if}-->
-    セイ&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: active;" size="15" class="box120" />&nbsp;
-    メイ&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" size="15" class="box120" />
+    セイ&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|escape}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: active;" size="15" class="box120" />&nbsp;
+    メイ&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|escape}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" size="15" class="box120" />
   </td>
 </tr>
@@ -57,5 +57,5 @@
     <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
     <!--{/if}-->
-    〒&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]}-->" maxlength="<!--{$smarty.const.ZIP01_LEN}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" size="6" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]}-->" maxlength="<!--{$smarty.const.ZIP02_LEN}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" size="6" class="box60" />&nbsp;
+    〒&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|escape}-->" maxlength="<!--{$smarty.const.ZIP01_LEN}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" size="6" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|escape}-->" maxlength="<!--{$smarty.const.ZIP02_LEN}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" size="6" class="box60" />&nbsp;
     <a href="http://search.post.japanpost.jp/zipcode/" target="_blank"><span class="fs12">郵便番号検索</span></a>
     <p class="zipimg"><a href="<!--{$smarty.const.URL_DIR}-->input_zip.php" onclick="fnCallAddress('<!--{$smarty.const.URL_INPUT_ZIP}-->', '<!--{$key1}-->', '<!--{$key2}-->', '<!--{$key3}-->', '<!--{$key4}-->'); return false;" target="_blank"><img src="<!--{$TPL_DIR}-->img/common/address.gif" width="86" height="20" alt="住所自動入力" /></a>
@@ -73,7 +73,7 @@
       <!--{html_options options=$arrPref selected=$arrForm[$key3]}-->
     </select>
-    <p class="mini"><input type="text" name="<!--{$key4}-->" value="<!--{$arrForm[$key4]}-->" size="60" class="box300" style="<!--{$arrErr[$key4]|sfGetErrorColor}-->; ime-mode: active;" /><br />
+    <p class="mini"><input type="text" name="<!--{$key4}-->" value="<!--{$arrForm[$key4]|escape}-->" size="60" class="box300" style="<!--{$arrErr[$key4]|sfGetErrorColor}-->; ime-mode: active;" /><br />
      <!--{$smarty.const.SAMPLE_ADDRESS1}--></p>
-    <p class="mini"><input type="text" name="<!--{$key5}-->" value="<!--{$arrForm[$key5]}-->" size="60" class="box300" style="<!--{$arrErr[$key5]|sfGetErrorColor}-->; ime-mode: active;" /><br />
+    <p class="mini"><input type="text" name="<!--{$key5}-->" value="<!--{$arrForm[$key5]|escape}-->" size="60" class="box300" style="<!--{$arrErr[$key5]|sfGetErrorColor}-->; ime-mode: active;" /><br />
       <!--{$smarty.const.SAMPLE_ADDRESS2}--></p>
     <p class="mini"><em>住所は2つに分けてご記入いただけます。マンション名は必ず記入してください。</em></p>
@@ -89,5 +89,5 @@
     <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--><!--{$arrErr[$key3]}--></div>
     <!--{/if}-->
-    <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key3}-->" value="<!--{$arrForm[$key3]}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key3]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />
+    <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|escape}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|escape}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key3}-->" value="<!--{$arrForm[$key3]|escape}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key3]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />
   </td>
 </tr>
@@ -102,5 +102,5 @@
     <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--><!--{$arrErr[$key3]}--></div>
     <!--{/if}-->
-    <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key3}-->" value="<!--{$arrForm[$key3]}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key3]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />
+    <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|escape}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|escape}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />&nbsp;-&nbsp;<input type="text" name="<!--{$key3}-->" value="<!--{$arrForm[$key3]|escape}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" size="6" style="<!--{$arrErr[$key3]|sfGetErrorColor}-->; ime-mode: disabled;" class="box60" />
   </td>
 </tr>
@@ -113,6 +113,6 @@
     <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
     <!--{/if}-->
-    <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
-    <input type="text" name="<!--{$key2}-->" value="<!--{if $arrForm[$key2] == ""}--><!--{$arrForm[$key1]}--><!--{else}--><!--{$arrForm[$key2]}--><!--{/if}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
+    <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|escape}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
+    <input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|default:$arrForm[$key1]|escape}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
     <p class="mini"><em>確認のため2度入力してください。</em></p>
   </td>
@@ -128,5 +128,5 @@
     <!--{/if}-->
     <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
-    <input type="text" name="<!--{$key2}-->" value="<!--{if $arrForm[$key2] == ""}--><!--{$arrForm[$key1]}--><!--{else}--><!--{$arrForm[$key2]}--><!--{/if}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
+    <input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|default:$arrForm[$key1]|escape}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: disabled;" maxlength="<!--{$smarty.const.MTEXT_LEN}-->" size="40" class="box300" /><br />
     <p class="mini"><em>確認のため2度入力してください。</em></p>
   </td>
Index: /branches/comu-ver2/data/class/util/GC_Utils.php
===================================================================
--- /branches/comu-ver2/data/class/util/GC_Utils.php	(revision 17444)
+++ /branches/comu-ver2/data/class/util/GC_Utils.php	(revision 17575)
@@ -179,25 +179,29 @@
                     // ログローテーションにて作成されたファイルを取得
                     if(ereg("^". $basename . "\." , $file)) {
-                        $arrLog[] = $file;
+                        $arrFile[] = $file;
                     }
                 }
 
-                // ファイルログが最大数量なら以上なら古いファイルから削除する
-                $count = count($arrLog);
-                if($count >= $max_log) {
-                    $diff = $count - $max_log;
-                    for($i = 0; $diff >= $i ; $i++) {
-                        unlink($dirname. "/" .array_pop($arrLog));
+                // ローテーションにて作成されたログファイルが存在しない場合は実行しない
+                if(is_array($arrFile)) {
+                    // ソートを行う
+                    $arrLog = natcasesort($arrFile);
+                    
+                    // ファイルログが最大個数なら以上なら古いファイルから削除する
+                    $count = count($arrLog);
+                    if($count >= $max_log) {
+                        $diff = $count - $max_log;
+                        for($i = 0; $diff >= $i ; $i++) {
+                            unlink($dirname. "/" .array_pop($arrLog));
+                        }
                     }
-                }
-
-                // ログファイルの添え字をずらす
-                $count = count($arrLog);
-                for($i = $count; 1 <= $i; $i--) {
-                    $move_number = $i + 1;
-
-                    if(file_exists("$path.$move_number")) unlink("$path.$move_number");
-                    copy("$dirname/" . $arrLog[$i - 1], "$path.$move_number");
-
+    
+                    // ログファイルの添え字をずらす
+                    $count = count($arrLog);
+                    for($i = $count; 1 <= $i; $i--) {
+                        $move_number = $i + 1;
+                        if(file_exists("$path.$move_number")) unlink("$path.$move_number");
+                        copy("$dirname/" . $arrLog[$i - 1], "$path.$move_number");
+                    }
                 }
                 $ret = copy($path, "$path.1");
@@ -212,5 +216,5 @@
         }
     }
-
+    
     /*----------------------------------------------------------------------
      * [名称] gfMakePassword
Index: /branches/comu-ver2/data/class/util/SC_Utils.php
===================================================================
--- /branches/comu-ver2/data/class/util/SC_Utils.php	(revision 17569)
+++ /branches/comu-ver2/data/class/util/SC_Utils.php	(revision 17575)
@@ -1957,4 +1957,30 @@
 
    /**
+     * CSV出力用データ取得
+     * 
+     * @return string
+     */
+    function getCSVData($array, $arrayIndex) {
+        for ($i = 0; $i < count($array); $i++){
+            // インデックスが設定されている場合
+            if (is_array($arrayIndex) && 0 < count($arrayIndex)){
+                for ($j = 0; $j < count($arrayIndex); $j++ ){
+                    if ( $j > 0 ) $return .= ",";
+                    $return .= "\"";
+                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace( "\"","\"\"",$array[$i][$arrayIndex[$j]] )) ."\"";
+                }
+            } else {
+                for ($j = 0; $j < count($array[$i]); $j++ ){
+                    if ( $j > 0 ) $return .= ",";
+                    $return .= "\"";
+                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace( "\"","\"\"",$array[$i][$j] )) ."\"";
+                }
+            }
+            $return .= "\n";    
+        }
+        return $return;
+    }
+    
+   /**
      * 配列をテーブルタグで出力する。
      *
Index: /branches/comu-ver2/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 17567)
+++ /branches/comu-ver2/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 17575)
@@ -296,4 +296,7 @@
 	    $templates_dir = SMARTY_TEMPLATES_DIR. $template_code. "/";
 	    SC_Utils_Ex::sfDelFile($templates_dir);
+	    // コンパイル削除
+	    $templates_c_dir = DATA_PATH. "Smarty/templates_c/". $template_code. "/";
+	    SC_Utils_Ex::sfDelFile($templates_c_dir);
 	    // ユーザーデータ削除
 	    $user_dir = USER_TEMPLATE_PATH. $template_code. "/";
Index: /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 16582)
+++ /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 17575)
@@ -148,5 +148,5 @@
                 $header .= "\n";
 
-                $data = $this->lfGetCSVData($arrCsvOutputData, $arrKey);
+                $data = SC_Utils_Ex::getCSVData($arrCsvOutputData, $arrKey);
                 // CSV出力
                 SC_Utils_Ex::sfCSVDownload($header.$data);
@@ -411,24 +411,4 @@
         return $ret;
     }
-
-
-    //---- CSV出力用データ取得
-    function lfGetCSVData( $array, $arrayIndex){
-        $return = "";
-        for ($i=0; $i<count($array); $i++){
-            for ($j=0; $j<count($array[$i]); $j++ ){
-                if ( $j > 0 ) $return .= ",";
-                $return .= "\"";
-                if ( $arrayIndex ){
-                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace( "\"","\"\"",$array[$i][$arrayIndex[$j]] )) ."\"";
-                } else {
-                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace( "\"","\"\"",$array[$i][$j] )) ."\"";
-                }
-            }
-            $return .= "\n";
-        }
-
-        return $return;
-    }
 }
 ?>
Index: /branches/comu-ver2/data/class/pages/admin/customer/LC_Page_Admin_Customer.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 17568)
+++ /branches/comu-ver2/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 17575)
@@ -315,5 +315,5 @@
 
                     //-　CSV出力
-                    $data = $this->lfGetCSVData($this->search_data, $arrColumn);
+                    $data = SC_Utils_Ex::getCSVData($this->search_data, $arrColumn);
 
                     SC_Utils_Ex::sfCSVDownload($header.$data);
@@ -531,24 +531,4 @@
         }
     }
-
-    //---- CSV出力用データ取得
-    function lfGetCSVData( $array, $arrayIndex){
-
-        for ($i=0; $i<count($array); $i++){
-
-            for ($j=0; $j<count($array[$i]); $j++ ){
-                if ( $j > 0 ) $return .= ",";
-                $return .= "\"";
-                if ( $arrayIndex ){
-                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace( "\"","\"\"",$array[$i][$arrayIndex[$j]] )) ."\"";
-                } else {
-                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace( "\"","\"\"",$array[$i][$j] )) ."\"";
-                }
-            }
-            $return .= "\n";
-        }
-
-        return $return;
-    }
 }
 ?>
Index: /branches/comu-ver2/data/class/pages/admin/mail/LC_Page_Admin_Mail.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 16741)
+++ /branches/comu-ver2/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 17575)
@@ -425,24 +425,5 @@
 
         if ( $result ){
-            $return = $this->lfGetCSVData( $result, $arrTitle);
-        }
-        return $return;
-    }
-
-    //---- CSV出力用データ取得
-    function lfGetCSVData( $array, $arrayIndex){
-
-        for ($i=0; $i<count($array); $i++){
-
-            for ($j=0; $j<count($array[$i]); $j++ ){
-                if ( $j > 0 ) $return .= ",";
-                $return .= "\"";
-                if ( $arrayIndex ){
-                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace( "\"","\"\"",$array[$i][$arrayIndex[$j]] )) ."\"";
-                } else {
-                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace( "\"","\"\"",$array[$i][$j] )) ."\"";
-                }
-            }
-            $return .= "\n";
+            $return = SC_Utils_Ex::getCSVData( $result, $arrTitle);
         }
         return $return;
Index: /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php
===================================================================
--- /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 17263)
+++ /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 17575)
@@ -64,5 +64,5 @@
             // 文字サイズを制限する
             foreach($arrRet as $key => $val) {
-                $arrRet[$key] = SC_Utils_Ex::sfCutString($val, SEARCH_CATEGORY_LEN);
+                $arrRet[$key] = SC_Utils_Ex::sfCutString($val, SEARCH_CATEGORY_LEN, false);
             }
         }
Index: /branches/comu-ver2/templates/default_page.php
===================================================================
--- /branches/comu-ver2/templates/default_page.php	(revision 16582)
+++ /branches/comu-ver2/templates/default_page.php	(revision 17575)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /branches/comu-ver2/templates/page_class.php
===================================================================
--- /branches/comu-ver2/templates/page_class.php	(revision 16582)
+++ /branches/comu-ver2/templates/page_class.php	(revision 17575)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /branches/comu-ver2/templates/mobile_page.php
===================================================================
--- /branches/comu-ver2/templates/mobile_page.php	(revision 16584)
+++ /branches/comu-ver2/templates/mobile_page.php	(revision 17575)
@@ -4,5 +4,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /branches/comu-ver2/templates/copyright.php
===================================================================
--- /branches/comu-ver2/templates/copyright.php	(revision 16481)
+++ /branches/comu-ver2/templates/copyright.php	(revision 17575)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /branches/comu-ver2/templates/page_class_extends.php
===================================================================
--- /branches/comu-ver2/templates/page_class_extends.php	(revision 16582)
+++ /branches/comu-ver2/templates/page_class_extends.php	(revision 17575)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /branches/comu-ver2/html/install/index.php
===================================================================
--- /branches/comu-ver2/html/install/index.php	(revision 17552)
+++ /branches/comu-ver2/html/install/index.php	(revision 17575)
@@ -434,12 +434,4 @@
     // 権限エラー等が発生していない場合
     if(!$err_file) {
-        $path = DATA_PATH . "Smarty/templates_c/admin";
-        if(!file_exists($path)) {
-            mkdir($path);
-        }
-        $path = DATA_PATH . "Smarty/templates_c/mobile";
-        if(!file_exists($path)) {
-            mkdir($path);
-        }
         $path = HTML_PATH . "upload/temp_template";
         if(!file_exists($path)) {