Index: /branches/version-2/data/class/pages/campaign/LC_Page_Campaign.php
===================================================================
--- /branches/version-2/data/class/pages/campaign/LC_Page_Campaign.php	(revision 16582)
+++ /branches/version-2/data/class/pages/campaign/LC_Page_Campaign.php	(revision 17653)
@@ -77,4 +77,5 @@
         if(!$cart_flg) {
             $this->sendRedirect($this->getLocation(CAMPAIGN_URL . "$dir_name/application.php"));
+            exit;
         }
 
Index: /branches/version-2/data/class/pages/campaign/LC_Page_CampaignApplication.php
===================================================================
--- /branches/version-2/data/class/pages/campaign/LC_Page_CampaignApplication.php	(revision 16922)
+++ /branches/version-2/data/class/pages/campaign/LC_Page_CampaignApplication.php	(revision 17653)
@@ -130,4 +130,5 @@
                         // 完了ページへリダイレクト
                         $this->sendRedirect($this->getLocation(CAMPAIGN_URL . "$dir_name/complete.php"));
+                        exit;
                     }
                 }
Index: /branches/version-2/data/class/pages/campaign/LC_Page_CampaignComplete.php
===================================================================
--- /branches/version-2/data/class/pages/campaign/LC_Page_CampaignComplete.php	(revision 16582)
+++ /branches/version-2/data/class/pages/campaign/LC_Page_CampaignComplete.php	(revision 17653)
@@ -62,4 +62,5 @@
         if(!$objCampaignSess->getIsCampaign()) {
             $this->sendRedirect($this->getLocation(URL_DIR));
+            exit;
         }
 
Index: /branches/version-2/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2/data/class/pages/mypage/LC_Page_Mypage.php	(revision 16582)
+++ /branches/version-2/data/class/pages/mypage/LC_Page_Mypage.php	(revision 17653)
@@ -179,4 +179,5 @@
                         if (!$objCustomer->hasValue('email_mobile')) {
                             $this->sendRedirect($this->getLocation("../entry/email_mobile.php"), true);
+                            exit;
                         }
                     }
Index: /branches/version-2/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /branches/version-2/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 16636)
+++ /branches/version-2/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 17653)
@@ -65,4 +65,5 @@
         if($objCustomer->isLoginSuccess()) {
             $this->sendRedirect($this->getLocation("./index.php"));
+            exit;
         } else {
             // クッキー判定
Index: /branches/version-2/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 16741)
+++ /branches/version-2/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 17653)
@@ -154,4 +154,5 @@
                 $this->sendRedirect($this->getLocation(URL_SHOP_COMPLETE));
             }
+            exit;
             break;
         default:
@@ -258,4 +259,5 @@
                 $this->sendRedirect($this->getLocation(MOBILE_URL_SHOP_COMPLETE), true);
             }
+            exit;
             break;
         default:
Index: /branches/version-2/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 17313)
+++ /branches/version-2/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 17653)
@@ -300,4 +300,5 @@
                 if (!$objCustomer->hasValue('email_mobile')) {
                     $this->sendRedirect($this->getLocation("../entry/email_mobile.php"), true);
+                    exit;
                 }
             }
Index: /branches/version-2/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php
===================================================================
--- /branches/version-2/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 16741)
+++ /branches/version-2/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 17653)
@@ -174,4 +174,5 @@
             $_SESSION['preview'] = "ON";
             $this->sendRedirect($this->getLocation(URL_DIR . "preview/index.php", array("filename" => $arrPageData[0]["filename"])));
+            exit;
         }
 
@@ -210,4 +211,5 @@
                                         array("page_id" => $page_id,
                                               "msg"     => "on")));
+				exit;
             }else{
                 // エラーがあれば入力時のデータを表示する
@@ -224,4 +226,5 @@
             $this->objLayout->lfDelPageData($_POST['page_id']);
             $this->sendRedirect($this->getLocation("./main_edit.php"));
+            exit;
         }
 
Index: /branches/version-2/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php
===================================================================
--- /branches/version-2/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 16730)
+++ /branches/version-2/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 17653)
@@ -154,4 +154,5 @@
                                             array("bloc_id" => $bloc_id,
                                                   "msg" => "on")));
+                exit;
             }else{
                 // エラーがあれば入力時のデータを表示する
@@ -189,4 +190,5 @@
             }
             $this->sendRedirect($this->getLocation("./bloc.php"));
+            exit;
         	break;
         default:
Index: /branches/version-2/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/version-2/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 16935)
+++ /branches/version-2/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 17653)
@@ -109,4 +109,5 @@
         if ($_POST['mode'] == 'new_bloc') {
             $this->sendRedirect($this->getLocation("./bloc.php"));
+            exit;
         }
 
@@ -114,4 +115,5 @@
         if ($_POST['mode'] == 'new_page') {
             $this->sendRedirect($this->getLocation("./main_edit.php"));
+            exit;
         }
 
@@ -193,4 +195,5 @@
                 if ($page_id === "") {
                     $this->sendRedirect($this->getLocation("./index.php"));
+                    exit;
                 }
                 $this->lfSetPreData($arrPageData, $objLayout);
@@ -199,4 +202,5 @@
 
                 $this->sendRedirect($this->getLocation(URL_DIR . "preview/index.php", array("filename" => $arrPageData[0]["filename"])));
+                exit;
 
             }else{
@@ -204,4 +208,5 @@
                                             array("page_id" => $page_id,
                                                   "msg" => "on")));
+				exit;
 
             }
@@ -212,4 +217,5 @@
             $objLayout->lfDelPageData($page_id);
             $this->sendRedirect($this->getLocation("./index.php"));
+            exit;
         }
 
Index: /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignDesign.php
===================================================================
--- /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignDesign.php	(revision 16582)
+++ /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignDesign.php	(revision 17653)
@@ -77,4 +77,5 @@
         if($arrForm['campaign_id'] == "" || $arrForm['status'] == "") {
             $this->sendRedirect($this->getLocation(URL_CAMPAIGN_TOP));
+            exit;
         }
 
@@ -125,4 +126,5 @@
             // 登録ページへ戻る
             $this->sendRedirect($this->getLocation(URL_CAMPAIGN_TOP));
+            exit;
             break;
         default:
Index: /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php
===================================================================
--- /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php	(revision 16750)
+++ /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php	(revision 17653)
@@ -82,4 +82,5 @@
         } else {
             $this->sendRedirect(USER_URL . $_GET['file']);
+            exit;
         }
     }
Index: /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php
===================================================================
--- /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 17343)
+++ /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 17653)
@@ -120,4 +120,5 @@
         case "new_page":
             $this->sendRedirect($this->getLocation("./csv_sql.php"));
+            exit;
             break;
 
@@ -126,4 +127,5 @@
             $this->lfDelData($sql_id);
             $this->sendRedirect($this->getLocation("./csv_sql.php"));
+            exit;
             break;
 
Index: /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_Campaign.php
===================================================================
--- /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_Campaign.php	(revision 17494)
+++ /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_Campaign.php	(revision 17653)
@@ -96,4 +96,5 @@
                 // キャンペーンTOPへリダイレクト
                 $this->sendRedirect($this->getLocation(URL_CAMPAIGN_TOP));
+                exit;
             }
 
@@ -111,4 +112,5 @@
             // キャンペーンTOPへリダイレクト
             $this->sendRedirect($this->getLocation(URL_CAMPAIGN_TOP));
+            exit;
             break;
             // CSV出力
Index: /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignPreview.php
===================================================================
--- /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignPreview.php	(revision 16582)
+++ /branches/version-2/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignPreview.php	(revision 17653)
@@ -58,4 +58,5 @@
         if($_GET['campaign_id'] == "" || $_GET['status'] == "") {
             $this->sendRedirect($this->getLocation(URL_CAMPAIGN_TOP));
+            exit;
         }
 
Index: /branches/version-2/data/class/pages/admin/LC_Page_Admin_Login.php
===================================================================
--- /branches/version-2/data/class/pages/admin/LC_Page_Admin_Login.php	(revision 16741)
+++ /branches/version-2/data/class/pages/admin/LC_Page_Admin_Login.php	(revision 17653)
@@ -73,4 +73,5 @@
             // 成功
             $this->sendRedirect($this->getLocation(URL_HOME));
+            exit;
         } else {
             // エラーページの表示
Index: /branches/version-2/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /branches/version-2/data/class/pages/cart/LC_Page_Cart.php	(revision 17401)
+++ /branches/version-2/data/class/pages/cart/LC_Page_Cart.php	(revision 17653)
@@ -136,4 +136,5 @@
                 // 購入ページへ
                 $this->sendRedirect(URL_SHOP_TOP);
+                exit;
             }
             break;