Index: /branches/comu-ver2/data/class/pages/inquiry/LC_Page_Inquiry.php
===================================================================
--- /branches/comu-ver2/data/class/pages/inquiry/LC_Page_Inquiry.php	(revision 17094)
+++ /branches/comu-ver2/data/class/pages/inquiry/LC_Page_Inquiry.php	(revision 17676)
@@ -88,6 +88,5 @@
 
         if ( ( ! $_POST['mode'] == 'confirm' ) && ( ! is_numeric($_REQUEST['question_id']) ) ){
-            echo "不正アクセス";
-            exit;
+            SC_Utils_Ex::sfDispSiteError(PAGE_ERROR);
         }
 
@@ -95,4 +94,7 @@
         $sql = "SELECT question_id, question FROM dtb_question WHERE question_id = ?";
         $result = $conn->getAll( $sql, array($_REQUEST['question_id']) );
+		if ( count($result) <= 0 ){
+            SC_Utils_Ex::sfDispSiteError(PAGE_ERROR);
+        }
         $this->QUESTION = $this->lfGetArrInput( unserialize( $result[0]['question'] ) );
 
Index: /branches/comu-ver2/data/class/pages/preview/LC_Page_Preview.php
===================================================================
--- /branches/comu-ver2/data/class/pages/preview/LC_Page_Preview.php	(revision 16934)
+++ /branches/comu-ver2/data/class/pages/preview/LC_Page_Preview.php	(revision 17676)
@@ -67,4 +67,5 @@
             $objView->display(SITE_FRAME);
         }
+		SC_Utils_Ex::sfDispSiteError(PAGE_ERROR, "", false, "", true);
     }
 
Index: /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 16996)
+++ /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 17676)
@@ -71,7 +71,5 @@
 
         if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
-        $tpl_onload = "";
-
+		
         // 現在の階層を取得
         if($_POST['mode'] != "") {
@@ -144,5 +142,5 @@
                     $arrErr['create_file'] = "※ ".$_POST['create_file']."の作成に失敗しました。<br/>";
                 } else {
-                    $tpl_onload .= "alert('フォルダを作成しました。');";
+                    $this->tpl_onload .= "alert('フォルダを作成しました。');";
                 }
             }
@@ -155,5 +153,5 @@
                 $arrErr['upload_file'] = $ret;
             } else {
-                $tpl_onload .= "alert('ファイルをアップロードしました。');";
+                $this->tpl_onload .= "alert('ファイルをアップロードしました。');";
             }
             break;
@@ -188,5 +186,5 @@
         $treeView = "fnTreeView('tree', arrTree, '$now_dir', 'tree_select_file', 'tree_status', 'move');";
         if (!empty($this->tpl_onload)) {
-            $this->tpl_onload .= $treeView . $tpl_onload;
+            $this->tpl_onload .= $treeView;
         } else {
             $this->tpl_onload = $treeView;
Index: /branches/comu-ver2/data/class/SC_MobileUserAgent.php
===================================================================
--- /branches/comu-ver2/data/class/SC_MobileUserAgent.php	(revision 17581)
+++ /branches/comu-ver2/data/class/SC_MobileUserAgent.php	(revision 17676)
@@ -50,4 +50,6 @@
             return 'ezweb';
         case 'V':
+            return 'softbank';
+		case 'S':
             return 'softbank';
         default:
Index: /branches/comu-ver2/data/class/SC_MobileImage.php
===================================================================
--- /branches/comu-ver2/data/class/SC_MobileImage.php	(revision 16582)
+++ /branches/comu-ver2/data/class/SC_MobileImage.php	(revision 17676)
@@ -67,6 +67,11 @@
             // auはHTMLのbyte数上限に画像ファイルサイズが含まれないのでimageFileSizeのまま。
             if ($carrier == "docomo" or $carrier == "softbank") {
-                // 計算式：(利用端末で表示可能なcacheサイズ - HTMLのバイト数 - 変換後の画像名のバイト数(目安値) ) / HTML中の画像数
-                $temp_imagefilesize = ($cacheSize - strlen($buffer) - (140 * $result) ) / $result;
+                if( $result != false && $result > 0){
+                	// 計算式：(利用端末で表示可能なcacheサイズ - HTMLのバイト数 - 変換後の画像名のバイト数(目安値) ) / HTML中の画像数
+					$temp_imagefilesize = ($cacheSize - strlen($buffer) - (140 * $result) ) / $result;
+				} else {
+					// 計算式：(利用端末で表示可能なcacheサイズ - HTMLのバイト数 )
+					$temp_imagefilesize = ($cacheSize - strlen($buffer) );
+				}
                 // 計算結果が端末の表示可能ファイルサイズ上限より小さい場合は計算結果の値を有効にする
                 if ($temp_imagefilesize < $imageFileSize) {
Index: /branches/comu-ver2/data/class/helper/SC_Helper_Mobile.php
===================================================================
--- /branches/comu-ver2/data/class/helper/SC_Helper_Mobile.php	(revision 17605)
+++ /branches/comu-ver2/data/class/helper/SC_Helper_Mobile.php	(revision 17676)
@@ -56,10 +56,15 @@
      */
     function lfMobileConvertInputValue(&$value) {
-        // Shift JIS から内部エンコーディングに変換する。
-        // SoftBank 以外の絵文字は外字領域に含まれるため、この段階で除去される。
-        $value = mb_convert_encoding($value, CHAR_CODE, 'SJIS');
-
-        // SoftBank の絵文字を除去する。
-        $value = preg_replace('/\\x1b\\$[^\\x0f]*\\x0f/', '', $value);
+    	if (is_array($value)) {
+    		foreach($value as $key => $val ){
+		        $this->lfMobileConvertInputValue($value[$key]);
+			}
+		} else {
+    		// Shift JIS から内部エンコーディングに変換する。
+    		$value = mb_convert_encoding($value, CHAR_CODE, 'SJIS');
+    		// SoftBank? 以外の絵文字は外字領域に含まれるため、この段階で除去される。
+    		// SoftBank? の絵文字を除去する。
+        	$value = preg_replace('/\\x1b\\$[^\\x0f]*\\x0f/', '', $value);
+		}
     }
 
Index: /branches/comu-ver2/data/module/Smarty/libs/plugins/function.html_options.php
===================================================================
--- /branches/comu-ver2/data/module/Smarty/libs/plugins/function.html_options.php	(revision 15532)
+++ /branches/comu-ver2/data/module/Smarty/libs/plugins/function.html_options.php	(revision 17676)
@@ -31,5 +31,5 @@
 {
     require_once $smarty->_get_plugin_filepath('shared','escape_special_chars');
-    
+
     $name = null;
     $values = null;
@@ -37,7 +37,7 @@
     $selected = array();
     $output = null;
-    
+
     $extra = '';
-    
+
     foreach($params as $_key => $_val) {
         switch($_key) {
@@ -45,9 +45,9 @@
                 $$_key = (string)$_val;
                 break;
-            
+
             case 'options':
                 $$_key = (array)$_val;
                 break;
-                
+
             case 'values':
             case 'output':
@@ -58,5 +58,5 @@
                 $$_key = array_map('strval', array_values((array)$_val));
                 break;
-                
+
             default:
                 if(!is_array($_val)) {
@@ -75,10 +75,10 @@
 
     if (isset($options)) {
-        
+
         foreach ($options as $_key=>$_val)
             $_html_result .= smarty_function_html_options_optoutput($_key, $_val, $selected);
 
     } else {
-        
+
         foreach ($values as $_i=>$_key) {
             $_val = isset($output[$_i]) ? $output[$_i] : '';
@@ -101,5 +101,5 @@
             smarty_function_escape_special_chars($key) . '"';
         if (in_array((string)$key, $selected))
-            $_html_result .= ' selected="selected"';
+            $_html_result .= ' selected';
         $_html_result .= '>' . smarty_function_escape_special_chars($value) . '</option>' . "\n";
     } else {