Index: /branches/comu-ver2/data/Smarty/templates/default/admin/design/bloc.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/design/bloc.tpl	(revision 17605)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/design/bloc.tpl	(revision 17899)
@@ -49,5 +49,5 @@
   </div>
   <div class="btn">
-    <button type='button' name='subm' onclick="fnFormModeSubmit('form_bloc','confirm','','');"><span>登録</span></button>
+    <button type='button' name='subm' onclick="fnFormModeSubmit('form_bloc','confirm','','');"><span>登録する</span></button>
     <button type='button' name='preview' onclick="fnFormModeSubmit('form_bloc','preview','','');"><span>プレビュー</span></button>
   </div>
@@ -72,6 +72,6 @@
   </table>
 
-  <div class="btn">
-    <button type='button' name='subm' onclick="location.href='http://<!--{$smarty.server.HTTP_HOST}--><!--{$smarty.server.PHP_SELF|escape}-->'"><span>新規ブロック作成</span></button>
+  <div class="btn addnew">
+    <button type='button' name='subm' onclick="location.href='http://<!--{$smarty.server.HTTP_HOST}--><!--{$smarty.server.PHP_SELF|escape}-->'"><span>ブロックを新規入力</span></button>
   </div>
   <!--{* ▲ブロック一覧ここまで *}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/design/css.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/design/css.tpl	(revision 17605)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/design/css.tpl	(revision 17899)
@@ -77,6 +77,6 @@
     <!--{/if}-->
   </table>
-  <div class="btn">
-    <button type="button" onclick="location.href='http://<!--{$smarty.server.HTTP_HOST}--><!--{$smarty.server.PHP_SELF|escape}-->'"><span>新規CSS作成</span></button>
+  <div class="btn addnew">
+    <button type="button" onclick="location.href='http://<!--{$smarty.server.HTTP_HOST}--><!--{$smarty.server.PHP_SELF|escape}-->'"><span>CSSを新規入力</span></button>
   </div>
   <!--▲CSSファイル一覧　ここまで-->
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/mail/template.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/mail/template.tpl	(revision 17605)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/mail/template.tpl	(revision 17899)
@@ -47,6 +47,6 @@
   </table>
 
-  <div class="btn">
-    <button type="button" onclick="location.href='./template_input.php'"><span>新規作成</span></button>
+  <div class="btn addnew">
+    <button type="button" onclick="location.href='./template_input.php'"><span>テンプレートを新規入力</span></button>
     <!-- ＨＴＭＬ作成ウィザードは保留 （次期開発）
     <button type="button" onclick="location.href='./htmlmail.php'"><span>HTMLテンプレート作成ウィザード</span></button>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/system/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/system/index.tpl	(revision 17453)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/system/index.tpl	(revision 17899)
@@ -67,5 +67,7 @@
   </div>
 
-  <div><button type="button" onclick="win01('./input.php','input','500','420');"><span>メンバー新規登録</span></button></div>
+  <div class="btn addnew">
+    <button type="button" onclick="win01('./input.php','input','500','420');"><span>メンバーを新規入力</span></button>
+  </div>
 </div>
 </form>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/contents/inquiry.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/contents/inquiry.tpl	(revision 17605)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/contents/inquiry.tpl	(revision 17899)
@@ -134,5 +134,5 @@
 
   <div class="btn">
-    <button type="submit"><span>アンケートを<!--{if $QUESTION_ID}-->修正<!--{else}-->作成<!--{/if}--></span></button>
+    <button type="submit"><span>登録する</span></button>
     <button type="reset"><span>内容をクリア</span></button>
   </div>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/contents/campaign_design.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/contents/campaign_design.tpl	(revision 17605)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/contents/campaign_design.tpl	(revision 17899)
@@ -64,6 +64,6 @@
 
   <div class="btn">
-    <button type="button" onclick="fnFormModeSubmit('form1', 'return', '', ''); return false;"><span>登録ページへ戻る</span></button>
-    <button type="button" onclick="fnFormModeSubmit('form1', 'regist', '', ''); return false;"><span>保存</span></button>
+    <button type="button" onclick="fnFormModeSubmit('form1', 'return', '', ''); return false;"><span>一覧ページへ戻る</span></button>
+    <button type="button" onclick="fnFormModeSubmit('form1', 'regist', '', ''); return false;"><span>登録する</span></button>
     <button type="button" onclick="fnFormModeSubmit('form1', 'preview', '', ''); return false;"><span>プレビュー</span></button>
   </div>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/contents/csv_sql.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/contents/csv_sql.tpl	(revision 17605)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/contents/csv_sql.tpl	(revision 17899)
@@ -75,6 +75,6 @@
   <!--{/if}-->
 
-  <div class="btn">
-    <button type='button' name='subm' onclick="fnTargetSelf(); fnFormModeSubmit('form1','new_page','','');"><span>新規SQL作成</span></button>
+  <div class="btn addnew">
+    <button type='button' name='subm' onclick="fnTargetSelf(); fnFormModeSubmit('form1','new_page','','');"><span>SQLを新規入力</span></button>
   </div>
 
@@ -102,6 +102,6 @@
 
   <div class="btn">
-    <button type="submit" name="subm" onClick="mode.value='confirm'; fnTargetSelf();"><span>実行する</span></button>
-    <button type="submit" name="subm" onClick="doPreview(); return false;"><span>確認ページへ</span></button>
+    <button type="submit" name="subm" onClick="mode.value='confirm'; fnTargetSelf();"><span>この内容で登録する</span></button>
+    <button type="submit" name="subm" onClick="doPreview(); return false;"><span>構文エラーを確認する</span></button>
   </div>
 
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/basis/delivery.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/basis/delivery.tpl	(revision 17612)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/basis/delivery.tpl	(revision 17899)
@@ -53,5 +53,7 @@
     <!--{/section}-->
   </table>
-  <div class="btn"><button type="button" name="subm2" onclick="fnChangeAction('./delivery_input.php'); fnModeSubmit('pre_edit','','');"><span>配送業者<!--{if $smarty.const.INPUT_DELIV_FEE}-->・配送料<!--{/if}-->を追加</span></button></div>
+  <div class="btn addnew">
+    <button type="button" name="subm2" onclick="fnChangeAction('./delivery_input.php'); fnModeSubmit('pre_edit','','');"><span>配送業者<!--{if $smarty.const.INPUT_DELIV_FEE}-->・配送料<!--{/if}-->を新規入力</span></button>
+  </div>
 </div>
 </form>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/basis/payment.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/basis/payment.tpl	(revision 17612)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/basis/payment.tpl	(revision 17899)
@@ -61,5 +61,7 @@
     <!--{/section}-->
   </table>
-  <div class="btn"><button type="button" name="subm2" onclick="win03('./payment_input.php','payment_input','550','400');"><span>支払方法を追加</span></button></div>
+  <div class="btn addnew">
+    <button type="button" name="subm2" onclick="win03('./payment_input.php','payment_input','550','400');"><span>支払方法を新規入力</span></button>
+  </div>
 </div>
 </form>